Skip to main content
GET
/
treasury_accounts
List treasury accounts
curl --request GET \
  --url https://api.withacclaim.com/v1/treasury_accounts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "tac_b0TrsSg91h",
      "name": "Collected Premium",
      "description": "Treasury account for premium collections",
      "currency": "USD",
      "purpose": "Premium",
      "account_holder_id": "pyee_abc123",
      "balance": 125000,
      "created_at": "2025-10-08T18:20:31Z",
      "updated_at": "2025-10-08T18:25:00Z"
    }
  ],
  "next_cursor": "<string>",
  "has_more": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:25

Number of items to return.

Required range: 1 <= x <= 100
cursor
string

Cursor for pagination.

Response

A list of treasury accounts.

data
object[]
next_cursor
string | null
has_more
boolean
Last modified on April 16, 2026